aboutsummaryrefslogtreecommitdiffstats
path: root/main/lutok/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2017-01-23 14:08:26 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2017-01-23 14:08:26 -0600
commitf5150b2dd9707789a0fcacdde11f87fc15544ae3 (patch)
tree59da64a8f98303465355f3c49fe7cca34b9c607b /main/lutok/APKBUILD
parent6ef936d15b74028221abedd4f3da190734b827ed (diff)
downloadaports-f5150b2dd9707789a0fcacdde11f87fc15544ae3.tar.gz
aports-f5150b2dd9707789a0fcacdde11f87fc15544ae3.tar.bz2
aports-f5150b2dd9707789a0fcacdde11f87fc15544ae3.tar.xz
main/lutok: new package (for pkgconf testsuite)
Diffstat (limited to 'main/lutok/APKBUILD')
-rw-r--r--main/lutok/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/main/lutok/APKBUILD b/main/lutok/APKBUILD
new file mode 100644
index 0000000000..dfd8e025ca
--- /dev/null
+++ b/main/lutok/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=lutok
+pkgver=0.4
+pkgrel=0
+pkgdesc="lightweight C++ API for Lua"
+url="https://github.com/jmmv/lutok"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="lua5.2-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/jmmv/lutok/releases/download/lutok-$pkgver/lutok-$pkgver.tar.gz"
+builddir="$srcdir/lutok-$pkgver"
+
+prepare() {
+ cd "$builddir"
+ msg "$builddir"
+ default_prepare || return 1
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="5da43895d9209f8c19d79433dd046b3f lutok-0.4.tar.gz"
+sha256sums="2cec51efa0c8d65ace8b21eaa08384b77abc5087b46e785f78de1c21fb754cd5 lutok-0.4.tar.gz"
+sha512sums="664f30099bfbb30978e24068a9232a4ff1b5b1839c601bf784f35f6bb1394558067495093a3b0343c94e756d2e4186a32a8227baf5934c15c45905f7c0a5d19c lutok-0.4.tar.gz"